using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] tacka1 = Console.ReadLine().Split();
            string[] tacka2 = Console.ReadLine().Split();
            int x1 = int.Parse(tacka1[0]);
            int y1 = int.Parse(tacka1[1]);
            int x2 = int.Parse(tacka2[0]);
            int y2 = int.Parse(tacka2[1]);
            if (x1 == x2 || y1 == y2) Console.WriteLine(2);
            else if (Math.Abs(x1 - x1) == Math.Abs(y1 - y1)) Console.WriteLine(1);
            else Console.WriteLine(0);
        }
    }
}